$(document).on 'ready page:load turbolinks:load', ->
  if $('.sort_icon').length
    init_sortable('tbody', 'tr')

init_sortable = (container_selector, item_selector, axis = 'y', handle_selector = '.sort_icon') ->
  $(container_selector).sortable(
    items: item_selector
    handle: handle_selector
    axis: axis
    stop: (event, ui) ->
      position = $(ui.item).index() + 1
      $.ajax({
        type: "PUT"
        url: window.location.href + "/#{$(ui.item).data('id')}"
        data: {position: position}
      });
  ).disableSelection()
